Package org.bgerp.dao.message.process

# Class MessagePossibleProcessSearch

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.message.process.MessagePossibleProcessSearch

Direct Known Subclasses:
  `BGBillingMessagePossibleProcessSearchFoundLinksContractAddressCity`, `MessagePossibleProcessSearchFoundLinks`, `MessagePossibleProcessSearchFoundLinksCustomerAddressCity`, `MessagePossibleProcessSearchMessageFrom`

public abstract class MessagePossibleProcessSearch extends CommonDAO
Search types of possible processes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MessagePossibleProcessSearch(int id, ConfigMap configMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addOpenFilter(PreparedQuery pq, Boolean open)`
  `abstract boolean`
  `addQuery(User user, PreparedQuery pq, boolean first, String from, List<ProcessLink> links, Boolean open)`
  `String`
  `getColor()`
  `int`
  `getId()`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessagePossibleProcessSearch

    protected MessagePossibleProcessSearch(int id, ConfigMap configMap)

- ## Method Details

  - ### getId

    public int getId()

  - ### getColor

    public String getColor()

  - ### addQuery

    public abstract boolean addQuery(User user, PreparedQuery pq, boolean first, String from, List<ProcessLink> links, Boolean open)

  - ### addOpenFilter

    protected void addOpenFilter(PreparedQuery pq, Boolean open)